# std::atomic::exchange

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11)
T exchange( T desired, std::memory_order order = std::memory_order_seq_cst ); |  |
T exchange( T desired, std::memory_order order = std::memory_order_seq_cst ) volatile; |  |

Atomically replaces the underlying value with `desired`. The operation is read-modify-write operation. Memory is affected according to the value of `order`.

### Parameters

desired | - | value to assign
order | - | memory order constraints to enforce

### Return value

The value of the atomic variable before the call.

### Exceptions

`noexcept` specification:
noexcept

### See also

atomic_exchange atomic_exchange_explicit (C++11)(C++11) | atomically replaces the value of the atomic object with non-atomic argument and returns the old value of the atomic (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/exchange&oldid=91695"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template